summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2005-06-07 11:33:39 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2005-06-07 11:33:39 +0000
commitce8f5f17f8012049224f90c02bf20af25dbb2c88 (patch)
treee8f93e874e60fd2f87578affe80851e8c49a6140 /eclass
parentfix (diff)
downloadgentoo-2-ce8f5f17f8012049224f90c02bf20af25dbb2c88.tar.gz
gentoo-2-ce8f5f17f8012049224f90c02bf20af25dbb2c88.tar.bz2
gentoo-2-ce8f5f17f8012049224f90c02bf20af25dbb2c88.zip
Fixed dopamsecurity() function. Thanks to Ed Catmur in #95294.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/pam.eclass5
1 files changed, 2 insertions, 3 deletions
diff --git a/eclass/pam.eclass b/eclass/pam.eclass
index 59b5e21a7be5..9a93f1aa9d69 100644
--- a/eclass/pam.eclass
+++ b/eclass/pam.eclass
@@ -1,7 +1,7 @@
# Copyright 2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Diego Pettenò <flameeyes@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/pam.eclass,v 1.4 2005/06/04 19:01:11 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/pam.eclass,v 1.5 2005/06/07 11:33:39 flameeyes Exp $
#
# This eclass contains functions to install pamd configuration files and
# pam modules.
@@ -49,8 +49,7 @@ dopamsecurity() {
fi
INSDESTTREE=/etc/security/$1 \
- shift
- doins "$@" || die "failed to install $@"
+ doins "${@:2}" || die "failed to install ${@:2}"
}
# newpamsecurity <section> <old name> <new name>